org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

## Class DerivedCircuitBreakerOnClassAndMethodOverrideOnClass

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClassAndMethod
  - - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.DerivedCircuitBreakerOnClassAndMethodOverrideOnClass

All Implemented Interfaces:
  CircuitBreakerLifecycleService

    @Dependent
     @CircuitBreaker(requestVolumeThreshold=4)
     @Typed(value=DerivedCircuitBreakerOnClassAndMethodOverrideOnClass.class)
    public class DerivedCircuitBreakerOnClassAndMethodOverrideOnClass
    extends BaseCircuitBreakerOnClassAndMethod

### Constructor Summary

Constructors
Constructor and Description
`DerivedCircuitBreakerOnClassAndMethodOverrideOnClass()`

### Method Summary

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClassAndMethod

`instanceId, service`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DerivedCircuitBreakerOnClassAndMethodOverrideOnClass

    public DerivedCircuitBreakerOnClassAndMethodOverrideOnClass()